package jd_cookie

import (
	"context"
	"kami/api/jd_cookie/v1"
	"kami/internal/errHandler"
	"kami/internal/service"

	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

// UpdateAccount 更新Cookie账户
func (c *ControllerV1) UpdateAccount(ctx context.Context, req *v1.UpdateAccountReq) (res *v1.UpdateAccountRes, err error) {
	_, err = service.SysAuth().LoginOnlyIFrame(ctx)
	if err != nil {
		err = errHandler.WrapError(ctx, gcode.CodeNotAuthorized, err, "权限不足")
		return
	}

	err = service.JdCookie().UpdateAccount(ctx, req.CookieId, req.CookieValue, req.AccountName, req.Status, req.Remark)
	if err != nil {
		return nil, gerror.WrapCode(gcode.CodeInternalError, err, "更新Cookie账户失败")
	}

	res = &v1.UpdateAccountRes{}
	return
}
